actor: Tester
paths:
    tests: Functional
    log: tmp/functional/output
    data: Functional/_data
    support: ../vendor/magento/magento2-functional-testing-framework/src/Magento/FunctionalTestingFramework
    envs: ../vendor/magento/magento2-functional-testing-framework/etc/_envs
settings:
    bootstrap: _bootstrap.php
    colors: true
    memory_limit: 1024M
extensions:
    enabled:
        - Codeception\Extension\RunFailed
        - Yandex\Allure\Adapter\AllureAdapter
    config:
        Yandex\Allure\Adapter\AllureAdapter:
            deletePreviousResults: true
            outputDirectory: allure-results
            ignoredAnnotations:
                - env
                - zephyrId
                - useCaseId
params:
    - .env
modules:
    config:
        Db:
            dsn: "%DB_DSN%"
            user: "%DB_USERNAME%"
            password: "%DB_PASSWORD%"
            dump: tests/_data/dump.sql
